1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

installing 2.23 on a 4.20.7 fw 54g

Discussion in 'DD-WRT Firmware' started by ahmadsf, Oct 14, 2005.

  1. ahmadsf

    ahmadsf Network Guru Member

    so what's the trick to upgrading the firmware on a 4.20.7 box? I tried everything: from web, tftp with boot_wait hack, multiple reboots with hard resets...nothing...firmware won't let me upgrade...keep getting upgrade failed or else the firmware loads up when i am using tftp with the boot wait hack and so it starts saying invalid passwd.

    i cant downgrade 4.20.7 to anything else either.

    is there perhaps another firmware i can install first, and then upgrade to dd-wrt after that?

    what's the magic trick???
     
  2. Toxic

    Toxic Administrator Staff Member

  3. ahmadsf

    ahmadsf Network Guru Member

    It's a V4. Sorry i should have mentioned that.

    Forgetting about the downgrade issue for a sec - how do i change the fw to get dd-wrt on it then?
     
  4. Toxic

    Toxic Administrator Staff Member

    if your trying to upgrade to ddwrt v23 (what is 2.23 firmware in topic?) then try dd-wrt.v23_wrt54g.bin first of all. if no go then try
    dd-wrt.v23_generic.bin

    you may also want to try upgrading to tofu's HyperWRT firmware based on 4.20.8 firmware.

    HyperWRT_2.1b1/4.20.8+tofu
     
  5. ahmadsf

    ahmadsf Network Guru Member

    uh yeah i did exactly that and i got the problems i initially described. I have a feeling brainslayer has 23 working on 4.20.6 linksys fw or below.
     
  6. Toxic

    Toxic Administrator Staff Member

    see above with ref hyperwrt
     
  7. ahmadsf

    ahmadsf Network Guru Member

    ok got it. i thought of doing that so i guess you're confirming my guess..phew!

    so i'll install that first, then put ddwrt on it after that?
     
  8. BrainSlayer

    BrainSlayer Network Guru Member

    the only solution is to upgrade to the mini version first. then you can upgrade to the std out from the mini. 4.20.7 does not accept fw bigger than 3 mb anymore. i tested it today on my v4 and it was painful
     
  9. Toxic

    Toxic Administrator Staff Member

    thanks for that Brainslayer, we now know why it doesn't work :)

    perhaps all firmware developers can make sure any new builds dont include this built in feature of linksys's
     
  10. zoyd

    zoyd Network Guru Member

    I am able to upgrad the GSV4 from linksys 1.05.2 to either the mini or the generic versions of the V23 builds but none of the V4 versions after 100405
     
  11. ahmadsf

    ahmadsf Network Guru Member

    so i tried the mini and then to std and it worked like a charm!

    Finally!!!!
     

Share This Page